using System;
using System.Text;

namespace skyscraper5.Skyscraper.Text
{
    class DummyEncoding : Encoding
    {
        private readonly string _s;

        public DummyEncoding(string s)
        {
            _s = s;
        }

        public override int GetByteCount(char[] chars, int index, int count)
        {
            throw new NotImplementedException(_s);
        }

        public override int GetBytes(char[] chars, int charIndex, int charCount, byte[] bytes, int byteIndex)
        {
            throw new NotImplementedException(_s);
        }

        public override int GetCharCount(byte[] bytes, int index, int count)
        {
            throw new NotImplementedException(_s);
        }

        public override int GetChars(byte[] bytes, int byteIndex, int byteCount, char[] chars, int charIndex)
        {
            throw new NotImplementedException(_s);
        }

        public override int GetMaxByteCount(int charCount)
        {
            throw new NotImplementedException(_s);
        }

        public override int GetMaxCharCount(int byteCount)
        {
            throw new NotImplementedException(_s);
        }
    }
}
